IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HDOSYA_AMELIYAT_LISTE]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION  [dbo].[HDOSYA_AMELIYAT_LISTE]
go

CREATE FUNCTION [dbo].[HDOSYA_AMELIYAT_LISTE] (@HDosyaId as Integer)  
RETURNS nvarchar(1000) AS  
BEGIN 
declare @ALISTE as nvarchar(1000),
	@AMELIYAT as nvarchar(100)
SET @ALISTE = '' 
DECLARE HDOSYA_AMELIYAT_CURSOR CURSOR
   FOR SELECT TITEM.ITEMKODU2+' - '+TITEM.ITEMADI2 FROM HESAPISL (NOLOCK) LEFT OUTER JOIN TITEM (NOLOCK) ON HESAPISL.ITEMID=TITEM.ITEMID WHERE HDOSYAID = @HDosyaId AND IPTAL=0 AND TITEM.ITEMTURUID=7
OPEN HDOSYA_AMELIYAT_CURSOR
FETCH NEXT FROM HDOSYA_AMELIYAT_CURSOR INTO @AMELIYAT
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @ALISTE = @ALISTE + @AMELIYAT +', '
	FETCH NEXT FROM HDOSYA_AMELIYAT_CURSOR INTO @AMELIYAT
END
	IF CHARINDEX(',', ISNULL(@ALISTE,' ')) <> 0
		SET @ALISTE = LEFT(@ALISTE,LEN(@ALISTE)-1)
return @ALISTE
END